.btn-group.tree-btn-group
  -# only show edit link for text files
  - if @blob.text?
    - if allowed_tree_edit?
      = link_to t("projects_section.blob.edit"), project_edit_tree_path(@project, @id), class: "btn btn-small"
    - else
      %span.btn.btn-small.disabled
        = t("projects_section.blob.edit")
  = link_to t("projects_section.blob.raw"), project_raw_path(@project, @id), class: "btn btn-small", target: "_blank"
  -# only show normal/blame view links for text files
  - if @blob.text?
    - if current_page? project_blame_path(@project, @id)
      = link_to t("projects_section.blob.normal_view"), project_blob_path(@project, @id), class: "btn btn-small"
    - else
      = link_to t("projects_section.blob.blame"), project_blame_path(@project, @id), class: "btn btn-small" unless @blob.empty?
  = link_to t("projects_section.blob.history"), project_commits_path(@project, @id), class: "btn btn-small"

- if allowed_tree_edit?
  = link_to "#modal-remove-blob", class: "remove-blob btn btn-small btn-remove", "data-toggle" => "modal" do
    = t("projects_section.blob.remove")
